<?php

require_once 'config.php';

class NewsTop {

	public $mMysqli;

	function __construct()
	{
		$this->mMysqli = new mysqli(DB_HOST_NT,DB_USER_NT,DB_PASSWORD_NT,DB_DATABASE_NT);
		$this->mMysqli->query("SET NAMES 'utf8'");
		$this->mMysqli->query("SET CHARACTER SET 'utf8'");
	}

	function __destruct()
	{
		$this->mMysqli -> close();
	}

	// очищаяем данные из базы для правильного json 
	function sanitize($text) 
	{
		$text = htmlspecialchars($text, ENT_QUOTES);
		$text = str_replace("\n\r","\n",$text);
		$text = str_replace("\r\n","\n",$text);
		$text = str_replace("\n","<br>",$text);
		return $text;
	}
	
	// вычисляем количетсво строк 
	function col() {
	$result = $this->mMysqli->query("SELECT * FROM statii");
	return ceil($result->num_rows / 20);
	}
	
	// основная функция TwitterTop - вывод данных на каждый запрос jQuery
	function query($getp) 
	{
		$prepage = $this -> col();

		if ($getp == 1 || $getp == 0 || $getp > $prepage) {$p = 0; $curr = 0;}
		else {$p = ($getp-1) * 20; $curr = $getp;}

		
		$result = $this->mMysqli->query("SELECT * FROM statii LIMIT $p, 20");

		$items = '';

		if($result)
		{

			while ($chat = $result -> fetch_array(MYSQLI_ASSOC)) 
			{
			$n = $this -> sanitize($chat['name']);
			$o = $this -> sanitize($chat['opisanie']);
			$h = $this -> sanitize($chat['href']);
			$r = $this -> sanitize($chat['razdel']);
			
$items .=  <<<EOD
			{
			"n": "{$n}",
			"h": "{$h}",
			"o": "{$o}",
			"r": "{$r}"

			},
EOD;
			}

			if ($items != '') {
				$items = substr($items, 0, -1);
			}
	
			
			header('Content-type: application/json; charset=UTF-8');
	
			// ответ в json, items - строки из базы
			echo '{
							"items": [
								 '.$items.'
							],
							"count": [
						   {
								"max": "'.$prepage.'"
								
						   },
						   {
						   "curr": "'.$curr.'"
						   }
						   ]
					}';		
		

		}

	}
	
	// первый вывод на страницу
	function firstquery() 
	{
			
		$query = "SELECT * FROM statii LIMIT 0, 3"; 
		$result = $this -> mMysqli ->query($query);

			if($result)
			{
				$arr = array();
				$i = 0;
						while ($chat = $result -> fetch_array(MYSQLI_ASSOC)) 
						{
							++$i;   

						$arr[$i] = '<div id="tweet-id-template" class="twtr-tweet">
							   
								   <div class="twtr-tweet-wrap">        
								   
									   <div class="twtr-avatar">     
									   
										   <div class="twtr-img">
										   <a href="http://slyweb.ru/" target="_blank">
										   <img src="images/andy-train2_normal.jpg" alt="acarvin profile">
										   </a>
										   </div>   
										   
									   </div>        
									   
									   <div class="twtr-tweet-text">
									   
											<p>
											<a class="twtr-user" href="http://slyweb.ru/' . $chat['href'] . '" target="_blank">' . $chat['avtor'] . '</a> ' . $chat['name'] . '
											<a class="twtr-user" href="http://slyweb.ru/' . $chat['href'] . '" target="_blank">' . $chat['avtor'] . '</a>
											</p>
											<em><a href="http://slyweb.ru/' . $chat['href'] . '" target="_blank">' .$chat['time'] . '</a> · <a href="http://slyweb.ru/' . $chat['href'] . '" class="twtr-reply" target="_blank">ответить</a></em>
									   </div> 
								   
								   </div>
								   
							   </div>';
							   
						}	 
				arsort($arr);

				foreach($arr as $val)
				{
					echo $val;	
				}
					
			}	
	}	   

}

// если первый вывод из базы, то запрещаем запуск основной функции
if(isset($_GET['p'])) {

	$toptwit = new NewsTop();
	$toptwit -> query($_GET['p']);
	
}
?>

